%define libname	%mklibname Cg
%define develname %mklibname -d Cg

%define _requires_exceptions libGLU.so

Summary:      C for Graphics
Name:         Cg
Version:      2.2_200910
Release:      %mkrel 2
URL:          http://developer.nvidia.com/object/cg_download.html
License:      NVidia Cg Distribution License
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Source0:      %{name}-%{version}_x86.tar.bz2
Group:        Development/Other
Requires:     %{libname} = %{version}

%description
Cg or C for Graphics is a high-level shading language created by NVIDIA for programming vertex and pixel shaders.
This package contains the C for Graphics Compiler

%package -n %{libname}
Group:        Development/Other
Summary:      C for Graphics
Requires:     libmesaglu1

%description -n %{libname}
Cg or C for Graphics is a high-level shading language created by NVIDIA for programming vertex and pixel shaders.

This package contains the C for Graphics libraries

%package -n %{libname}-devel
Group:        Development/Other
Summary:      C for Graphics
Requires:     %{libname} = %{version}
%description -n %{libname}-devel
Cg or C for Graphics is a high-level shading language created by NVIDIA for programming vertex and pixel shaders.

This package contains the C for Graphics development headers and documentation.

%prep
%setup -c

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
cp -r . $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/cgc
%{_bindir}/cgfxcat
%{_bindir}/cginfo

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libCgGL.so
%{_libdir}/libCg.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/cgc
%{_includedir}/Cg
/usr/local/Cg
%{_datadir}/man/man3
%{_datadir}/man/manCg
%{_datadir}/man/manCgFX

%changelog
* Mon Mar 22 2010 Texstar <texstar at gmail.com> 2.2_200910-2pclos2010
- fix dependency package

* Thu Feb 09 2010 slick50 <lxgator@gmail.com> 2.2_200910-1pclos2010
- 2.2_200910

* Sat Apr 11 2009 slick50 <lxgator@gmail.com> 1.5_200702-1pclos2007
- initial pkg
